Bug 2210535 - [abrt] geany: pango_attr_list_unref(): geany killed by SIGSEGV
Summary: [abrt] geany: pango_attr_list_unref(): geany killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geany
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f4cf88c88158b63ad9665aab845...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-05-28 09:15 UTC by Radek Valasek
Modified: 2023-11-04 03:45 UTC (History)
6 users (show)

Fixed In Version: geany-2.0-1.fc39 geany-2.0-1.fc38 geany-2.0-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-03 18:45:08 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: exploitable (81 bytes, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: environ (2.12 KB, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: core_backtrace (32.84 KB, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: limits (1.29 KB, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: cpuinfo (2.96 KB, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: dso_list (524 bytes, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: maps (3.90 KB, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: open_fds (4.34 KB, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: backtrace (95.93 KB, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: os_info (734 bytes, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: mountinfo (3.96 KB, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details
File: proc_pid_status (1.41 KB, text/plain)
2023-05-28 09:15 UTC, Radek Valasek
no flags Details

Description Radek Valasek 2023-05-28 09:15:14 UTC
Description of problem:
1. Open geany
2. Creating new file
3. Click to area in new file

It's repeating everytime. Geany is by this way unusable.

Version-Release number of selected component:
geany-1.38-4.fc38

Additional info:
reporter:       libreport-2.17.10
backtrace_rating: 4
executable:     /usr/bin/geany
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-geany-18673.scope
type:           CCpp
rootdir:        /
package:        geany-1.38-4.fc38
uid:            1000
runlevel:       N 5
crash_function: pango_attr_list_unref
kernel:         6.2.15-300.fc38.x86_64
reason:         geany killed by SIGSEGV
journald_cursor: s=c03327eac6914baa96a9646ed8d65dbd;i=149aec;b=082b5248fe8344b884af0811197eca2d;m=298da631;t=5fcbd158d9918;x=4ef92481bf6c86a1
cmdline:        /usr/bin/geany

Truncated backtrace:
Thread no. 1 (19 frames)
 #0 pango_attr_list_unref at ../pango/pango-attributes.c:1914
 #1 _ibus_context_update_preedit_text_cb at /usr/src/debug/ibus-1.5.28-5.fc38.x86_64/client/gtk3/ibusimcontext.c:2091
 #2 ibus_im_context_clear_preedit_text at /usr/src/debug/ibus-1.5.28-5.fc38.x86_64/client/gtk3/ibusimcontext.c:1126
 #3 ibus_im_context_button_press_event_cb at /usr/src/debug/ibus-1.5.28-5.fc38.x86_64/client/gtk3/ibusimcontext.c:1413
 #5 _gtk_marshal_BOOLEAN__BOXED at gtk/gtkmarshalers.c:84
 #7 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3812
 #10 gtk_widget_event_internal.part.0.lto_priv.0 at ../gtk/gtkwidget.c:7812
 #11 propagate_event_up at ../gtk/gtkmain.c:2588
 #12 propagate_event at ../gtk/gtkmain.c:2691
 #13 gtk_propagate_event at ../gtk/gtkmain.c:2725
 #14 gtk_main_do_event at ../gtk/gtkmain.c:1921
 #16 _gdk_event_emit at ../gdk/gdkevents.c:73
 #18 gdk_event_source_dispatch.lto_priv at ../gdk/x11/gdkeventsource.c:354
 #21 g_main_context_iterate.isra.0 at ../glib/gmain.c:4276
 #23 gtk_main at ../gtk/gtkmain.c:1329
 #24 main_lib at /usr/src/debug/geany-1.38-4.fc38.x86_64/src/libmain.c:1240
 #25 __libc_start_call_main at ../sysdeps/nptl/libc_start_call_main.h:58
 #26 __libc_start_main_impl at ../csu/libc-start.c:360
 #27 _start

Comment 1 Radek Valasek 2023-05-28 09:15:18 UTC
Created attachment 1967510 [details]
File: exploitable

Comment 2 Radek Valasek 2023-05-28 09:15:20 UTC
Created attachment 1967511 [details]
File: environ

Comment 3 Radek Valasek 2023-05-28 09:15:21 UTC
Created attachment 1967512 [details]
File: core_backtrace

Comment 4 Radek Valasek 2023-05-28 09:15:23 UTC
Created attachment 1967513 [details]
File: limits

Comment 5 Radek Valasek 2023-05-28 09:15:24 UTC
Created attachment 1967514 [details]
File: cpuinfo

Comment 6 Radek Valasek 2023-05-28 09:15:26 UTC
Created attachment 1967515 [details]
File: dso_list

Comment 7 Radek Valasek 2023-05-28 09:15:28 UTC
Created attachment 1967516 [details]
File: maps

Comment 8 Radek Valasek 2023-05-28 09:15:29 UTC
Created attachment 1967517 [details]
File: open_fds

Comment 9 Radek Valasek 2023-05-28 09:15:31 UTC
Created attachment 1967518 [details]
File: backtrace

Comment 10 Radek Valasek 2023-05-28 09:15:33 UTC
Created attachment 1967519 [details]
File: os_info

Comment 11 Radek Valasek 2023-05-28 09:15:35 UTC
Created attachment 1967520 [details]
File: mountinfo

Comment 12 Radek Valasek 2023-05-28 09:15:36 UTC
Created attachment 1967521 [details]
File: proc_pid_status

Comment 13 Fedora Update System 2023-10-24 09:24:24 UTC
FEDORA-2023-6e660a7451 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e660a7451

Comment 14 Fedora Update System 2023-10-24 09:24:36 UTC
FEDORA-2023-c0407cd6cf has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c0407cd6cf

Comment 15 Fedora Update System 2023-10-24 09:24:48 UTC
FEDORA-2023-2106a1a955 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2106a1a955

Comment 16 Fedora Update System 2023-10-25 02:19:15 UTC
FEDORA-2023-2106a1a955 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2106a1a955`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2106a1a955

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2023-10-25 02:29:18 UTC
FEDORA-2023-6e660a7451 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6e660a7451`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e660a7451

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2023-10-25 02:52:49 UTC
FEDORA-2023-c0407cd6cf has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c0407cd6cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c0407cd6cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2023-10-26 01:52:02 UTC
FEDORA-2023-c0407cd6cf has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c0407cd6cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c0407cd6cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2023-10-26 02:47:10 UTC
FEDORA-2023-6e660a7451 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6e660a7451`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e660a7451

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2023-10-26 02:52:33 UTC
FEDORA-2023-2106a1a955 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2106a1a955`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2106a1a955

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2023-10-27 01:19:37 UTC
FEDORA-2023-6e660a7451 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6e660a7451`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6e660a7451

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 23 Fedora Update System 2023-10-27 02:14:15 UTC
FEDORA-2023-c0407cd6cf has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c0407cd6cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c0407cd6cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 24 Fedora Update System 2023-10-27 02:17:29 UTC
FEDORA-2023-2106a1a955 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2106a1a955`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2106a1a955

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 25 Fedora Update System 2023-11-03 18:45:08 UTC
FEDORA-2023-c0407cd6cf has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 26 Fedora Update System 2023-11-04 03:41:46 UTC
FEDORA-2023-6e660a7451 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2023-11-04 03:45:17 UTC
FEDORA-2023-2106a1a955 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.